﻿using Microsoft.EntityFrameworkCore;
using RouteGuideDatabaseImplements.Models;
using System.Configuration;

namespace RouteGuideDatabaseImplements
{
    public class RouteGuideDatabase : DbContext
    {
        string dbName = ConfigurationManager.AppSettings["connectToDb"];


        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseNpgsql(dbName);
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Route> Routes { set; get; }
        public virtual DbSet<Stop> Stops { set; get; }
        public virtual DbSet<RouteStop> RoutesStops { set; get; }
        public virtual DbSet<TransportType> TransportTypes { set; get; }
        public virtual DbSet<Transport> Transports { set; get; }
    }
}